Skip to main content

Troubleshooting

Suggest edit
Updated on January 26, 2021

This section describes the error messages that you might encounter in Smart Update.

Pega Product Composer for Healthcare
Error messageDescription and action
This <entity type> cannot be updated as it is not in an approved state.This occurs when you have an entity that is being updated in straight-processing and you attempt to perform Smart Update on it.
<entity type> includes benefit set, product template, product, and plan. Complete the straight flow and then return to the Smart Update.
<Entity name>: Minor version of this entity cannot be created because version ’01-01’, in ‘Development’ stage (which is ‘Updatable’ by configuration), can only be updated.This occurs when you attempt to create a new version, without changing the effective and end dates, and the entity is in a stage that you can update. Another minor version cannot be created.
<entity type> includes benefit set, product template, product, and plan. Which stages are available for update is controlled by the settings on the PCS Configuration page. If you are unsure how this is set, contact your administrator.

Update the same version or create another version record with different effective or end dates or both.

<Individual Deductible> of <product name> Benefit in <benefit name> network is missingThis occurs when a benefit or grouper does not have the cost-share value but has the ranges (low and high). This error can occur for all cost shares in both product and plan.
<Individual Deductible> includes any cost share. Configure a batch in the product or plan Smart Update and define the cost share for the benefit that is reported.
<benefit set name> cannot be consumed in the template <product template name>, as it does not have overlapping dates

Do one of the following:

  • Change the dates of the product template to overlap with those of the benefit set.
  • Select another benefit or version that overlaps with the product template’s dates.

A similar error occurs when the dates of the upstream entity, benefit set, product template, or product do not overlap with the dates of the downstream entity, product template, product and plan, respectively.

Product template <product template name>: Metadata: At least one Line of Business is required

This occurs when there are no values configured for the line of business in a product template.

Configure a metadata batch for the product template and select one of more values for the line of business for the product template.

Similar errors occur when there are no values for market segment and coverage levels.

At least one benefit or grouper must be added to the benefit set '<benefit set name> '

This error message occurs when all the benefits and groupers are removed from a benefit set. This leaves the benefit set with no constituent entities.

Add a batch to the Smart Update and add benefits or groupers, or both, to the benefit set.

The model type cannot be applied based on the configurationCheck the settings in the Stage actions allowed section of the Product Composer System Configuration page (ConfigureProduct composerConfiguration).
Did you find this content helpful? YesNo

Have a question? Get answers now.

Visit the Support Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us